> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/ufc-5.0/ufc-ec-modules/fight-event-centre.md).

# Fight Event Centre

* Add your unique operator ID name.
* Set targetModule: "iframe".
* Enter the eventId, note to use the unique ID for the fightcard, i.e UFC FIGHT NIGHT, event ID is "707".
* Find the unique fightID that you would like to navigate to when the event centre is initially loaded, i.e on this instance fightID is "6667"
* Add the initialContext which consists of "fightId"
  * 'View' must be: "Fight" to allow navigation to full fight card
  * 'fightId' of a given fight.

```javascript
initialContext: {
          view: "Fight",
          fightId: "fightID"
        }
```

{% embed url="<https://codesandbox.io/s/muddy-firefly-jpjdui>" %}

Sample code:

```javascript
const { MessageTopics } = frontRowSeat.eventCentreUtils;
const eventCentreInstance = frontRowSeat.eventCentre({
        operator: "operatorIDName",
        sport: "ufc",
        targetModule: "full",
        eventId: "eventID",
        version: "version number",
        targetElementSelector: "#img-arena-event-centre",
        language: "en",
        initialContext: {
          view: "Fight",
          fightId: "fightID"
        }
      });
```

Note that if you do not want to allow navigation and want to limit view just for a particular fight, this can be done by passing "targetModule:" as "fight".

{% embed url="<https://codesandbox.io/s/silly-microservice-zejkxw>" %}

Note that there is no back button on the above event centre.

sample code:

```javascript
const { MessageTopics } = frontRowSeat.eventCentreUtils;
const eventCentreInstance = frontRowSeat.eventCentre({
        operator: "operatorIDName",
        sport: "ufc",
        targetModule: "fight",
        eventId: "681",
        version: "dev/beac4ea5",
        targetElementSelector: "#img-arena-event-centre",
        language: "en",
        initialContext: {
          view: "Fight",
          fightId: "6667"
        }
      });
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/ufc-5.0/ufc-ec-modules/fight-event-centre.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
